//********************************************************************************************
// RC Model Servo
// Original code By EAOROBBIE (Robert Lindsay)
// Completely mangled by aarondc
// For free use for Sim Tool Motion Software
//********************************************************************************************
#include <Servo.h>
//#define DEBUG 1                                    // comment out this line to remove debuggin Serial.print lines
const int kActuatorCount = 4;                       // how many Actuators we are handling

// the letters ("names") sent from Sim Tools to identify each actuator
// NB: the order of the letters here determines the order of the remaining constants kPins and kActuatorScale
const char kActuatorName[kActuatorCount] = { 'R', 'L' };
const int kPins[kActuatorCount] = {4,5,6,7};                       // pins to which the Actuators are attached

Servo actuatorSet[kActuatorCount];                  // our array of Actuators
int actuatorPosition[kActuatorCount] = {90, 90};    // current Actuator positions, initialised to 90
int currentActuator;                                // keep track of the current Actuator being read in from serial port
int valueCharCount = 0;                             // how many value characters have we read (must be less than kMaxCharCount!!


void setup()
{ 
    // attach the Actuators to the pins
    for (int i = 0; i < kActuatorCount; i++) 
        actuatorSet[i].attach(kPins[i]);
    

    
} 
 
void loop()
{ 


  
int deg=35;
int dely=30;

int S0=87-2;    // 85 DOWN to 50
int S1=71+2;    // 73 UP to 106
int S2=115;   //  115 to 070 RIGHT SURGE
int S3=65;    //  065 to 110 LEFT SURGE


  for (int x=0;x<deg;x++) {
    actuatorSet[0].write(S0-x);       //0 is SERVO #1
    actuatorSet[1].write(S1+x);
    actuatorSet[2].write(S2-x);       
    actuatorSet[3].write(S3+x);
        delay(dely);        // Brief pause 
  }

   delay(1000);        // pauses for 1000 microseconds     

  for (int x=deg;x>0;x--) {
    actuatorSet[0].write(S0-x);
    actuatorSet[1].write(S1+x);
    actuatorSet[2].write(S2-x);       
    actuatorSet[3].write(S3+x);
        delay(dely);        // Brief pause  
  }

   delay(5000);        // pauses for 1000 microseconds 
    
//max
  //                actuatorSet[0].write(53); //Right
 //   actuatorSet[1].write(200);//Left
   // digitalWrite(13,HIGH);
 //   delay(1000);        // pauses for 1000 microseconds     

//close
    //             actuatorSet[0].write(108);//Right
 //   actuatorSet[1].write(270);//Left
  //  digitalWrite(13,LOW);
  //  delay(2000);        // pauses for 1000 microseconds     


}


